Get destination
For the complete documentation index, see llms.txt. For the full documentation snapshot, see llms-full.txt.
Get a single Data Export destination by ID.
curl --request GET \
--url https://app.launchdarkly.com/api/v2/destinations/{projectKey}/{environmentKey}/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://app.launchdarkly.com/api/v2/destinations/{projectKey}/{environmentKey}/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.launchdarkly.com/api/v2/destinations/{projectKey}/{environmentKey}/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.launchdarkly.com/api/v2/destinations/{projectKey}/{environmentKey}/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.launchdarkly.com/api/v2/destinations/{projectKey}/{environmentKey}/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.launchdarkly.com/api/v2/destinations/{projectKey}/{environmentKey}/{id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.launchdarkly.com/api/v2/destinations/{projectKey}/{environmentKey}/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"_id": "610addeadbeefaa86ec9a7d4",
"_links": {
"parent": {
"href": "/api/v2/destinations",
"type": "application/json"
},
"self": {
"href": "/api/v2/destinations/my-project/my-environment/610addeadbeefaa86ec9a7d4",
"type": "application/json"
}
},
"name": "example-destination",
"kind": "google-pubsub",
"version": 1,
"config": "{\"project\":\"test-prod\",\"topic\":\"ld-pubsub-test-192301\"}",
"on": true,
"_access": {
"denied": [
{
"action": "<string>",
"reason": {
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
],
"role_name": "<string>"
}
}
],
"allowed": [
{
"action": "<string>",
"reason": {
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
],
"role_name": "<string>"
}
}
]
}
}{
"code": "unauthorized",
"message": "Invalid access token"
}{
"code": "forbidden",
"message": "Forbidden. Access to the requested resource was denied."
}{
"code": "not_found",
"message": "Invalid resource identifier"
}{
"code": "rate_limited",
"message": "You've exceeded the API rate limit. Try again later."
}Authorizations
Path Parameters
The project key
The environment key
The Data Export destination ID
Response
Destination response
The ID of this Data Export destination
"610addeadbeefaa86ec9a7d4"
The location and content type of related resources
Show child attributes
Show child attributes
{
"parent": {
"href": "/api/v2/destinations",
"type": "application/json"
},
"self": {
"href": "/api/v2/destinations/my-project/my-environment/610addeadbeefaa86ec9a7d4",
"type": "application/json"
}
}
A human-readable name for your Data Export destination
"example-destination"
The type of Data Export destination
google-pubsub, kinesis, mparticle, segment, azure-event-hubs, snowflake-v2, databricks, bigquery, redshift "google-pubsub"
1
An object with the configuration parameters required for the destination type
"{\"project\":\"test-prod\",\"topic\":\"ld-pubsub-test-192301\"}"
Whether the export is on, that is, the status of the integration
true
Details on the allowed and denied actions for this Data Export destination
Show child attributes
Show child attributes
curl --request GET \
--url https://app.launchdarkly.com/api/v2/destinations/{projectKey}/{environmentKey}/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://app.launchdarkly.com/api/v2/destinations/{projectKey}/{environmentKey}/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.launchdarkly.com/api/v2/destinations/{projectKey}/{environmentKey}/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.launchdarkly.com/api/v2/destinations/{projectKey}/{environmentKey}/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.launchdarkly.com/api/v2/destinations/{projectKey}/{environmentKey}/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.launchdarkly.com/api/v2/destinations/{projectKey}/{environmentKey}/{id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.launchdarkly.com/api/v2/destinations/{projectKey}/{environmentKey}/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"_id": "610addeadbeefaa86ec9a7d4",
"_links": {
"parent": {
"href": "/api/v2/destinations",
"type": "application/json"
},
"self": {
"href": "/api/v2/destinations/my-project/my-environment/610addeadbeefaa86ec9a7d4",
"type": "application/json"
}
},
"name": "example-destination",
"kind": "google-pubsub",
"version": 1,
"config": "{\"project\":\"test-prod\",\"topic\":\"ld-pubsub-test-192301\"}",
"on": true,
"_access": {
"denied": [
{
"action": "<string>",
"reason": {
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
],
"role_name": "<string>"
}
}
],
"allowed": [
{
"action": "<string>",
"reason": {
"effect": "allow",
"resources": [
"proj/*:env/*;qa_*:/flag/*"
],
"notResources": [
"<string>"
],
"actions": [
"*"
],
"notActions": [
"<string>"
],
"role_name": "<string>"
}
}
]
}
}{
"code": "unauthorized",
"message": "Invalid access token"
}{
"code": "forbidden",
"message": "Forbidden. Access to the requested resource was denied."
}{
"code": "not_found",
"message": "Invalid resource identifier"
}{
"code": "rate_limited",
"message": "You've exceeded the API rate limit. Try again later."
}